Package com.logicaldoc.core.transfer

# Class InMemoryZipImport

java.lang.Object
com.logicaldoc.core.transfer.ZipImport
com.logicaldoc.core.transfer.InMemoryZipImport

public class InMemoryZipImport extends ZipImport
This is an import utilities that imports documents stored in a zip archive. The entire import process is followed in memory, to replicate correctly the names of directories and documents when they contain native characters. All folders in the zip will be replicated. Also, if required the parsing of documents is executed for the extraction of the tags of the documents.

Since:
  4.5.2
Author:
  Alessandro Gasparini - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`InMemoryZipImport(Document docVo, String charset)`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(File zipsource, Folder parent, long userId, String sessionId)`

### Methods inherited from class com.logicaldoc.core.transfer.ZipImport

`isNotifyUser, process, setNotifyUser`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InMemoryZipImport

public InMemoryZipImport(Document docVo, String charset)

## Method Details

### process

public void process(File zipsource, Folder parent, long userId, String sessionId)

Overrides:
  `process` in class `ZipImport`